package jp.veritrans.tercerog.sample.command.alipay;

import jp.veritrans.tercerog.mdk.ITransaction;
import jp.veritrans.tercerog.mdk.TransactionFactory;
import jp.veritrans.tercerog.mdk.dto.AlipayRefundRequestDto;
import jp.veritrans.tercerog.mdk.dto.AlipayRefundResponseDto;
import jp.veritrans.tercerog.sample.util.Custom;

/**
 * AlipayRefundCommand : Alipay決済(返金申込)サンプル
 */
public class AlipayRefundCommand {

    /**
     * コマンドテスト用メインメソッド
     */
    public static void main(String[] args) {

        // ---------------------------------
        // テスト用リクエスト電文項目設定
        // ---------------------------------
        // 取引ID
        // 対象の取引IDを指定します
        String orderId = "change_order_here";
        // 支払金額
        String amount = "5";
        // 返金理由
        String reason = "返金理由";

        // ---------------------------------
        // リクエスト DTO 設定
        // ---------------------------------
        AlipayRefundRequestDto reqDto = new AlipayRefundRequestDto();
        // 取引IDの設定
        reqDto.setOrderId(orderId);
        // 支払金額の設定
        reqDto.setAmount(amount);
        // 還付理由を設定
        reqDto.setReason(reason);

        // ---------------------------------
        // 決済実行と結果表示
        // ---------------------------------
        ITransaction tran = null;
        AlipayRefundResponseDto resDto = null;

        try {
            tran = TransactionFactory.getInstance(reqDto);
            resDto = (AlipayRefundResponseDto) tran.execute();

            // リクエストとレスポンスを実行コンソール上で表示する
            Custom.print("*- Alipay(Refund) -*");

            Custom.print("<< REQUEST >>");
            Custom.print("Order ID", orderId);
            Custom.print("Amount", amount);
            Custom.print("Reason", reason);

            Custom.print("<< RESPONSE >>");
            Custom.print("Status", resDto.getMstatus());
            Custom.print("Message", resDto.getMerrMsg());
            Custom.print("Result Code", resDto.getVResultCode());
            Custom.print("Order ID", resDto.getOrderId());
            Custom.print("Balance", resDto.getBalance());

        } catch (Exception ex) {
            Custom.print("Exception Occured !");
            Custom.print("Exception Message" + ex.getMessage());
        }
    }
}
