package jp.veritrans.tercerog.sample.command.amazonpay;

import jp.veritrans.tercerog.mdk.ITransaction;
import jp.veritrans.tercerog.mdk.TransactionFactory;
import jp.veritrans.tercerog.mdk.dto.AmazonpayCancelRequestDto;
import jp.veritrans.tercerog.mdk.dto.AmazonpayCancelResponseDto;
import jp.veritrans.tercerog.sample.util.Custom;

/**
 * AmazonpayCancelCommand : Amazon Pay(キャンセル)サンプル
 */
public class AmazonpayCancelCommand {

    /**
     * コマンドテスト用メインメソッド
     */
    public static void main(final String[] args) {

        //---------------------------------
        // テスト用リクエスト電文項目設定
        //---------------------------------
        // 取引ID(キャンセル対象取引IDを設定してください)
        String orderID = "";

        //---------------------------------
        // リクエスト DTO 設定
        //---------------------------------
        AmazonpayCancelRequestDto reqDto = new AmazonpayCancelRequestDto();
        // オーダーIDの設定
        reqDto.setOrderId(orderID);

        //---------------------------------
        // 決済実行と結果表示
        //---------------------------------
        ITransaction tran = null;
        AmazonpayCancelResponseDto resDto = null;

        try {
            tran = TransactionFactory.getInstance(reqDto);
            resDto = (AmazonpayCancelResponseDto) tran.execute();

            // リクエストとレスポンスを実行コンソール上で表示する
            Custom.print("*- Amazon Pay(Cancel) -*");

            Custom.print("<< REQUEST >>");
            Custom.print("Order ID", orderID);

            Custom.print("<< RESPONSE >>");
            Custom.print("Status", resDto.getMstatus());
            Custom.print("Message", resDto.getMerrMsg());
            Custom.print("Result Code", resDto.getVResultCode());
            Custom.print("Center Response Datetime", resDto.getCenterResponseDatetime());
            Custom.print("Center Order Id", resDto.getCenterOrderId());
            Custom.print("Center Transaction Id", resDto.getCenterTransactionId());

        } catch (Exception ex) {
            Custom.print("Exception Occured !");
            Custom.print("Exception Message" + ex.getMessage());
        }

    }

}
