package jp.veritrans.tercerog.sample.command.amazonpay;

import jp.veritrans.tercerog.mdk.ITransaction;
import jp.veritrans.tercerog.mdk.TransactionFactory;
import jp.veritrans.tercerog.mdk.dto.AmazonpayGetAddressRequestDto;
import jp.veritrans.tercerog.mdk.dto.AmazonpayGetAddressResponseDto;
import jp.veritrans.tercerog.sample.util.Custom;

/**
 * AmazonpayGetAddressCommand : Amazon Pay(住所情報取得)サンプル
 */
public class AmazonpayGetAddressCommand {

    /**
     * コマンドテスト用メインメソッド
     */
    public static void main(final String[] args) {

        //---------------------------------
        // テスト用リクエスト電文項目設定
        //---------------------------------
        // 取引ID(住所情報取得対象の取引IDを設定してください)
        String orderID = "";

        //---------------------------------
        // リクエスト DTO 設定
        //---------------------------------
        AmazonpayGetAddressRequestDto reqDto = new AmazonpayGetAddressRequestDto();
        // オーダーIDの設定
        reqDto.setOrderId(orderID);

        //---------------------------------
        // 決済実行と結果表示
        //---------------------------------
        ITransaction tran = null;
        AmazonpayGetAddressResponseDto resDto = null;

        try {
            tran = TransactionFactory.getInstance(reqDto);
            resDto = (AmazonpayGetAddressResponseDto) tran.execute();

            // リクエストとレスポンスを実行コンソール上で表示する
            Custom.print("*- Amazon Pay(GetAddress) -*");

            Custom.print("<< REQUEST >>");
            Custom.print("Order ID", orderID);

            Custom.print("<< RESPONSE >>");
            Custom.print("Status", resDto.getMstatus());
            Custom.print("Message", resDto.getMerrMsg());
            Custom.print("Result Code", resDto.getVResultCode());
            Custom.print("Center Response Datetime", resDto.getCenterResponseDatetime());
            Custom.print("Shipping Name", resDto.getShippingName());
            Custom.print("Shipping Phone", resDto.getShippingPhone());
            Custom.print("Shipping Address1", resDto.getShippingAddress1());
            Custom.print("Shipping Address2", resDto.getShippingAddress2());
            Custom.print("Shipping Address3", resDto.getShippingAddress3());
            Custom.print("Shipping Prefecture", resDto.getShippingPrefecture());
            Custom.print("Shipping Postal Code", resDto.getShippingPostalCode());

        } catch (Exception ex) {
            Custom.print("Exception Occured !");
            Custom.print("Exception Message" + ex.getMessage());
        }

    }

}
