package jp.veritrans.tercerog.sample.command.amazonpay;

import jp.veritrans.tercerog.mdk.ITransaction;
import jp.veritrans.tercerog.mdk.TransactionFactory;
import jp.veritrans.tercerog.mdk.dto.AmazonpayRefundRequestDto;
import jp.veritrans.tercerog.mdk.dto.AmazonpayRefundResponseDto;
import jp.veritrans.tercerog.sample.util.Custom;

/**
 * AmazonpayRefundCommand : Amazon Pay(返金)サンプル
 */
public class AmazonpayRefundCommand {

    /**
     * コマンドテスト用メインメソッド
     */
    public static void main(final String[] args) {

        //---------------------------------
        // テスト用リクエスト電文項目設定
        //---------------------------------
        // 取引ID(返金対象取引IDを設定してください)
        String orderID = "";
        // 返金金額
        String amount = "10";

        //---------------------------------
        // リクエスト DTO 設定
        //---------------------------------
        AmazonpayRefundRequestDto reqDto = new AmazonpayRefundRequestDto();
        // オーダーIDの設定
        reqDto.setOrderId(orderID);
        // 返金金額の設定
        reqDto.setAmount(amount);

        //---------------------------------
        // 決済実行と結果表示
        //---------------------------------
        ITransaction tran = null;
        AmazonpayRefundResponseDto resDto = null;

        try {
            tran = TransactionFactory.getInstance(reqDto);
            resDto = (AmazonpayRefundResponseDto) tran.execute();

            // リクエストとレスポンスを実行コンソール上で表示する
            Custom.print("*- Amazon Pay(Refund) -*");

            Custom.print("<< REQUEST >>");
            Custom.print("Order ID", orderID);
            Custom.print("Amount", amount);

            Custom.print("<< RESPONSE >>");
            Custom.print("Status", resDto.getMstatus());
            Custom.print("Message", resDto.getMerrMsg());
            Custom.print("Result Code", resDto.getVResultCode());
            Custom.print("Center Response Datetime", resDto.getCenterResponseDatetime());
            Custom.print("Center Order Id", resDto.getCenterOrderId());
            Custom.print("Center Transaction Id", resDto.getCenterTransactionId());
            Custom.print("Refundable Amount", resDto.getRefundableAmount());

        } catch (Exception ex) {
            Custom.print("Exception Occured !");
            Custom.print("Exception Message" + ex.getMessage());
        }

    }

}
