package jp.veritrans.tercerog.sample.command.em;

import jp.veritrans.tercerog.mdk.ITransaction;
import jp.veritrans.tercerog.mdk.TransactionFactory;
import jp.veritrans.tercerog.mdk.dto.EmRemoveRequestDto;
import jp.veritrans.tercerog.mdk.dto.EmRemoveResponseDto;
import jp.veritrans.tercerog.sample.util.Custom;

/**
 * EmRemoveCommand : 電子マネー決済(カード情報削除)サンプル
 */
public class EmRemoveCommand {

    /**
     * コマンドテスト用メインメソッド
     */
    public static void main(String[] args) {

        // ---------------------------------
        // テスト用リクエスト電文項目設定
        // ---------------------------------
        // [決済方式]
        // nanaco決済 : tcc-redirect
        String serviceOptionType = "tcc-redirect";
        // 取引ID(自動生成)
        String orderID = Custom.getOrderID();
        // ユーザID
        String userId = "user001";

        // ---------------------------------
        // リクエスト DTO 設定
        // ---------------------------------
        EmRemoveRequestDto reqDto = new EmRemoveRequestDto();
        // 決済方式の設定
        reqDto.setServiceOptionType(serviceOptionType);
        // 取引IDの設定
        reqDto.setOrderId(orderID);
        // ユーザIDの設定
        reqDto.setUserId(userId);

        // ---------------------------------
        // 決済実行と結果表示
        // ---------------------------------
        ITransaction tran = null;
        EmRemoveResponseDto resDto = null;

        try {
            tran = TransactionFactory.getInstance(reqDto);
            resDto = (EmRemoveResponseDto) tran.execute();

            // リクエストとレスポンスを実行コンソール上で表示する
            Custom.print("*- Em(Remove) -*");

            Custom.print("<< REQUEST >>");
            Custom.print("ServiceOptionType", serviceOptionType);
            Custom.print("Order ID", orderID);
            Custom.print("User ID", userId);

            Custom.print("<< RESPONSE >>");
            Custom.print("Status", resDto.getMstatus());
            Custom.print("Message", resDto.getMerrMsg());
            Custom.print("Result Code", resDto.getVResultCode());
            Custom.print("Order ID", resDto.getOrderId());

        } catch (Exception ex) {
            Custom.print("Exception Occured !");
            Custom.print("Exception Message" + ex.getMessage());
        }
    }
}
