package jp.veritrans.tercerog.sample.command.linepay;

import jp.veritrans.tercerog.mdk.ITransaction;
import jp.veritrans.tercerog.mdk.TransactionFactory;
import jp.veritrans.tercerog.mdk.dto.LinepayCaptureRequestDto;
import jp.veritrans.tercerog.mdk.dto.LinepayCaptureResponseDto;
import jp.veritrans.tercerog.sample.util.Custom;

/**
 * LinepayCaptureCommand : LINE Pay(売上)サンプル
 */
public class LinepayCaptureCommand {

    /**
     * コマンドテスト用メインメソッド
     */
    public static void main(final String[] args) {

        //---------------------------------
        // テスト用リクエスト電文項目設定
        //---------------------------------
        // 取引ID(与信時に利用したものを設定してください)
        String orderID = "1234567890";

        //---------------------------------
        // リクエスト DTO 設定
        //---------------------------------
        LinepayCaptureRequestDto reqDto = new LinepayCaptureRequestDto();
        // オーダーIDの設定
        reqDto.setOrderId(orderID);

        //---------------------------------
        // 決済実行と結果表示
        //---------------------------------
        ITransaction tran = null;
        LinepayCaptureResponseDto resDto = null;

        try {
            tran = TransactionFactory.getInstance(reqDto);
            resDto = (LinepayCaptureResponseDto) tran.execute();

            // リクエストとレスポンスを実行コンソール上で表示する
            Custom.print("*- Linepay(Capture) -*");

            Custom.print("<< REQUEST >>");
            Custom.print("Order ID", orderID);

            Custom.print("<< RESPONSE >>");
            Custom.print("Status", resDto.getMstatus());
            Custom.print("Balance", resDto.getBalance());
            Custom.print("Message", resDto.getMerrMsg());
            Custom.print("Result Code", resDto.getVResultCode());
            Custom.print("CaptureDatetime", resDto.getCaptureDatetime());

        } catch (Exception ex) {
            Custom.print("Exception Occured !");
            Custom.print("Exception Message" + ex.getMessage());
        }

    }

}
