package jp.veritrans.tercerog.sample.command.mpi;

import jp.veritrans.tercerog.mdk.ITransaction;
import jp.veritrans.tercerog.mdk.TransactionFactory;
import jp.veritrans.tercerog.mdk.dto.MpiGetResultRequestDto;
import jp.veritrans.tercerog.mdk.dto.MpiGetResultResponseDto;
import jp.veritrans.tercerog.sample.util.Custom;


/**
 * MpiGetResultCommand : クレジットカード決済(本人認証) 本人認証結果確認要求サンプル
 */
public class MpiGetResultCommand {

    /**
     * コマンドテスト用メインメソッド
     */
    public static void main(String[] args) {

        //---------------------------------
        // テスト用リクエスト電文項目設定
        //---------------------------------
        // 取引ID(対象取引IDを設定してください)
        String orderID = "";

        //---------------------------------
        // リクエスト DTO 設定
        //---------------------------------
        MpiGetResultRequestDto reqDto = new MpiGetResultRequestDto();
        // オーダーIDの設定
        reqDto.setOrderId(orderID);

        //---------------------------------
        // 決済実行と結果表示
        //---------------------------------
        ITransaction tran = null;
        MpiGetResultResponseDto resDto = null;

        try {
            tran = TransactionFactory.getInstance(reqDto);
            resDto = (MpiGetResultResponseDto) tran.execute();

            // リクエストとレスポンスを実行コンソール上で表示する
            Custom.print("*- MPI(GetResult) -*");

            Custom.print("<< REQUEST >>");
            Custom.print("Order ID", orderID);

            Custom.print("<< RESPONSE >>");
            Custom.print("Status", resDto.getMstatus());
            Custom.print("Message", resDto.getMerrMsg());
            Custom.print("Result Code", resDto.getVResultCode());
            Custom.print("Request Id", resDto.getRequestId());
            Custom.print("Req Amount", resDto.getReqAmount());
            Custom.print("Req Card Number", resDto.getReqCardNumber());
            Custom.print("Mpi Mstatus", resDto.getMpiMstatus());
            Custom.print("Mpi Vresult Code", resDto.getMpiVresultCode());
            Custom.print("Card Mstatus", resDto.getCardMstatus());
            Custom.print("Auth Code", resDto.getAuthCode());
            Custom.print("Ddd Message Version", resDto.getDddMessageVersion());
            Custom.print("Ddd Transaction Id", resDto.getDddTransactionId());
            Custom.print("Ddd Ds Transaction Id", resDto.getDddDsTransactionId());
            Custom.print("Ddd Server Transaction Id", resDto.getDddServerTransactionId());
            Custom.print("Ddd Transaction Status", resDto.getDddTransactionStatus());
            Custom.print("Ddd Cavv Algorithm", resDto.getDddCavvAlgorithm());
            Custom.print("Ddd Cavv", resDto.getDddCavv());
            Custom.print("Ddd Eci", resDto.getDddEci());

        } catch (Exception ex) {
            Custom.print("Exception Occured !");
            Custom.print("Exception Message" + ex.getMessage());
        }
    
    }

}
