package jp.veritrans.tercerog.sample.command.paynowid;

import jp.veritrans.tercerog.mdk.ITransaction;
import jp.veritrans.tercerog.mdk.TransactionFactory;
import jp.veritrans.tercerog.mdk.dto.CardInfoAddRequestDto;
import jp.veritrans.tercerog.mdk.dto.CardInfoAddResponseDto;
import jp.veritrans.tercerog.mdk.dto.PayNowIdResponse;
import jp.veritrans.tercerog.sample.util.Custom;

/**
 * PayNowIdCardInfoAddCommand : PayNowId(カード情報登録)処理用サーブレット
 */
public class PayNowIdCardInfoAddCommand {

    /**
     * コマンドテスト用メインメソッド
     */
    public static void main(String[] args) {

        // ---------------------------------
        // テスト用リクエスト電文項目設定
        // ---------------------------------
        // 会員ID
        String accountId = "TestAccountId";
        // カード番号
        // String cardNumber = "4111-1111-1111-1111";
        // カード有効期限
        // String cardExpire = "12/16";
        // トークン
        String token = "0a812412-682c-4dad-8a5d-720caf23bca0";

        // ---------------------------------
        // リクエスト DTO 設定
        // ---------------------------------
        CardInfoAddRequestDto reqDto = new CardInfoAddRequestDto();
        // 会員IDの設定
        reqDto.setAccountId(accountId);
        // カード番号の設定
        // reqDto.setCardNumber(cardNumber);
        // カード有効期限の設定
        // reqDto.setCardExpire(cardExpire);
        // トークンの設定
        reqDto.setToken(token);

        // ---------------------------------
        // 処理実行と結果表示
        // ---------------------------------
        ITransaction tran = null;
        CardInfoAddResponseDto resDto = null;

        try {
            tran = TransactionFactory.getInstance(reqDto);
            resDto = (CardInfoAddResponseDto) tran.execute();
            PayNowIdResponse payNowIdRes = resDto.getPayNowIdResponse();

            // リクエストとレスポンスを実行コンソール上で表示する
            Custom.print("*- PayNowId(CardInfoAdd) -*");

            Custom.print("<< REQUEST >>");
            Custom.print("ServiceType", resDto.getServiceType());
            Custom.print("Account ID", accountId);
            // Custom.print("Card Number", cardNumber);
            // Custom.print("Card Expired Date", cardExpire);
            Custom.print("Token", token);

            Custom.print("<< RESPONSE >>");
            Custom.print("PayNowId Status", (payNowIdRes != null) ? payNowIdRes.getStatus() : "I do not know status because of PayNowIdResponse is null.");
            Custom.print("Message", resDto.getMerrMsg());
            Custom.print("Result Code", resDto.getVResultCode());
            Custom.print("PayNowId ProcId", (payNowIdRes != null) ? payNowIdRes.getProcessId() : "I do not know ProcessId because of PayNowIdResponse is null.");

        } catch (Exception ex) {
            Custom.print("Exception Occured !");
            Custom.print("Exception Message " + ex.getMessage());
        }

    }
}
