package jp.veritrans.tercerog.sample.command.recruit;

import jp.veritrans.tercerog.mdk.ITransaction;
import jp.veritrans.tercerog.mdk.TransactionFactory;
import jp.veritrans.tercerog.mdk.dto.RecruitExtendAuthRequestDto;
import jp.veritrans.tercerog.mdk.dto.RecruitExtendAuthResponseDto;
import jp.veritrans.tercerog.sample.util.Custom;

/**
 * RecruitExtendAuthCommand : リクルートかんたん支払い(与信期限延長)サンプル
 */
public class RecruitExtendAuthCommand {

    /**
     * コマンドテスト用メインメソッド
     */
    public static void main(final String[] args) {

        //---------------------------------
        // テスト用リクエスト電文項目設定
        //---------------------------------
        // 取引ID(与信時に利用したものを設定してください)
        String orderID = "1234567890";

        //---------------------------------
        // リクエスト DTO 設定
        //---------------------------------
        RecruitExtendAuthRequestDto reqDto = new RecruitExtendAuthRequestDto();
        // オーダーIDの設定
        reqDto.setOrderId(orderID);

        //---------------------------------
        // 決済実行と結果表示
        //---------------------------------
        ITransaction tran = null;
        RecruitExtendAuthResponseDto resDto = null;

        try {
            tran = TransactionFactory.getInstance(reqDto);
            resDto = (RecruitExtendAuthResponseDto) tran.execute();

            // リクエストとレスポンスを実行コンソール上で表示する
            Custom.print("*- Recruit(ExtendAuth) -*");

            Custom.print("<< REQUEST >>");
            Custom.print("Order ID", orderID);

            Custom.print("<< RESPONSE >>");
            Custom.print("Status", resDto.getMstatus());
            Custom.print("Message", resDto.getMerrMsg());
            Custom.print("Result Code", resDto.getVResultCode());

        } catch (Exception ex) {
            Custom.print("Exception Occured !");
            Custom.print("Exception Message" + ex.getMessage());
        }

    }

}
