package jp.veritrans.tercerog.sample.command.upop;

import jp.veritrans.tercerog.mdk.ITransaction;
import jp.veritrans.tercerog.mdk.TransactionFactory;
import jp.veritrans.tercerog.mdk.dto.UpopCancelRequestDto;
import jp.veritrans.tercerog.mdk.dto.UpopCancelResponseDto;
import jp.veritrans.tercerog.sample.util.Custom;

/**
 * UpopCancelCommand : 銀聯ネット決済(UPOP)(取消)サンプル
 */
public class UpopCancelCommand {

    /**
     * コマンドテスト用メインメソッド
     */
    public static void main(String[] args) {

        // ---------------------------------
        // テスト用リクエスト電文項目設定
        // ---------------------------------
        // 取引ID(与信時、売上時に利用したものを設定してください)
        String orderID = "1234567890";

        // ---------------------------------
        // リクエスト DTO 設定
        // ---------------------------------
        UpopCancelRequestDto reqDto = new UpopCancelRequestDto();
        // 取引IDの設定
        reqDto.setOrderId(orderID);

        // ---------------------------------
        // 決済実行と結果表示
        // ---------------------------------
        ITransaction tran = null;
        UpopCancelResponseDto resDto = null;

        try {
            tran = TransactionFactory.getInstance(reqDto);
            resDto = (UpopCancelResponseDto) tran.execute();

            // リクエストとレスポンスを実行コンソール上で表示する
            Custom.print("*- UPOP(Cancel) -*");

            Custom.print("<< REQUEST >>");
            Custom.print("Order ID", orderID);

            Custom.print("<< RESPONSE >>");
            Custom.print("Status", resDto.getMstatus());
            Custom.print("Message", resDto.getMerrMsg());
            Custom.print("Result Code", resDto.getVResultCode());
            Custom.print("Txn Datetime Jp", resDto.getTxnDatetimeJp());
            Custom.print("Txn Datetime Cn", resDto.getTxnDatetimeCn());
            Custom.print("Captured Amount", resDto.getCapturedAmount());
            Custom.print("Remaining Amount", resDto.getRemainingAmount());
            Custom.print("Settle Amount", resDto.getSettleAmount());
            Custom.print("Settle Date", resDto.getSettleDate());
            Custom.print("Settle Currency", resDto.getSettleCurrency());
            Custom.print("Settle Rate", resDto.getSettleRate());
            Custom.print("Upop Order Id", resDto.getUpopOrderId());
        } catch (Exception ex) {
            Custom.print("Exception Occured !");
            Custom.print("Exception Message" + ex.getMessage());
        }
    }
}
