package jp.veritrans.tercerog.sample.command.virtualacc;

import jp.veritrans.tercerog.mdk.ITransaction;
import jp.veritrans.tercerog.mdk.TransactionFactory;
import jp.veritrans.tercerog.mdk.dto.MdkServiceConstants;
import jp.veritrans.tercerog.mdk.dto.VirtualaccUndoReconcileRequestDto;
import jp.veritrans.tercerog.mdk.dto.VirtualaccUndoReconcileResponseDto;
import jp.veritrans.tercerog.sample.util.Custom;

/**
 * VirtualaccUndoReconcileCommand : 銀行振込決済(消込取消)サンプル
 */
public class VirtualaccUndoReconcileCommand {

    /**
     * コマンドテスト用メインメソッド
     */
    public static void main(final String[] args) {

        //---------------------------------
        // テスト用リクエスト電文項目設定
        //---------------------------------
        // 取引ID(消込請求時に利用したものを設定してください)
        String orderID = "";

        // サービスオプションタイプ
        // りそな : MdkServiceConstants.VACC_RESONA
        String serviceOptionType = MdkServiceConstants.VACC_RESONA;

        //---------------------------------
        // リクエスト DTO 設定
        //---------------------------------
        VirtualaccUndoReconcileRequestDto reqDto = new VirtualaccUndoReconcileRequestDto();
        // オーダーIDの設定
        reqDto.setOrderId(orderID);

        // サービスオプションタイプの設定
        reqDto.setServiceOptionType(serviceOptionType);

        //---------------------------------
        // 決済実行と結果表示
        //---------------------------------
        ITransaction tran = null;
        VirtualaccUndoReconcileResponseDto resDto = null;

        try {
            tran = TransactionFactory.getInstance(reqDto);
            resDto = (VirtualaccUndoReconcileResponseDto)tran.execute();

            // リクエストとレスポンスを実行コンソール上で表示する
            Custom.print("*- Virtualacc(UndoReconcile) -*");

            Custom.print("<< REQUEST >>");
            Custom.print("Order ID", orderID);

            Custom.print("<< RESPONSE >>");
            Custom.print("Order ID", resDto.getOrderId());
            Custom.print("Status", resDto.getMstatus());
            Custom.print("Message", resDto.getMerrMsg());
            Custom.print("Result Code", resDto.getVResultCode());

        } catch (Exception ex) {
            Custom.print("Exception Occured !");
            Custom.print("Exception Message" + ex.getMessage());
        }

    }
}
