package jp.veritrans.tercerog.sample.web.masterpass;

import java.io.IOException;
import java.io.PrintWriter;
import java.io.UnsupportedEncodingException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import jp.veritrans.tercerog.mdk.ITransaction;
import jp.veritrans.tercerog.mdk.TransactionFactory;
import jp.veritrans.tercerog.mdk.dto.MasterpassLoginRequestDto;
import jp.veritrans.tercerog.mdk.dto.MasterpassLoginResponseDto;
import jp.veritrans.tercerog.mdk.dto.MdkServiceConstants;
import jp.veritrans.tercerog.sample.util.Utils;
import jp.veritrans.tercerog.sample.web.MdkSampleBaseServlet;

/**
 * MasterPass 申込請求処理クラス。
 */
public class LoginExec extends MdkSampleBaseServlet {
    private static final long serialVersionUID = 1L;

    /**
     * @see MdkSampleBaseServlet#doProcess
     */
    protected void doProcess(final HttpServletRequest request, final HttpServletResponse response)
            throws ServletException, IOException {

        // 文字コードの指定
        request.setCharacterEncoding("UTF-8");

        // +++++++++++++++++++++++++++++++++++++++++++++++++++++
        // パラメータを取得します。
        // +++++++++++++++++++++++++++++++++++++++++++++++++++++
        // 取引IDの取得
        String orderId = request.getParameter("orderId");
        // 合計金額の取得
        String itemAmount = request.getParameter("itemAmount");
        // +++++++++++++++++++++++++++++++++++++++++++++++++++++
        // 入力をチェックします。
        // +++++++++++++++++++++++++++++++++++++++++++++++++++++
        String warning = null;
        if (isNull(orderId)) {
            warning = "<font color='#ff0000'><b>Unset Order Id<br>(必須項目：取引IDが指定されていません)</b></font>";
        } else if (isNull(itemAmount)) {
            warning = "<font color='#ff0000'><b>Unset Total Amount<br>(必須項目：合計金額が指定されていません)</b></font>";
        }
        // エラー時の処理
        if (isNull(warning) == false) {
            request.setAttribute("warning", warning);
            // 入力画面に戻る
            forward(request, response, "./Login.jsp");
            return;
        }

        // +++++++++++++++++++++++++++++++++++++++++++++++++++++
        // 要求DTOを生成し、値を設定します。
        // +++++++++++++++++++++++++++++++++++++++++++++++++++++
        MasterpassLoginRequestDto reqDto = new MasterpassLoginRequestDto();

        // 取引IDの設定
        reqDto.setOrderId(orderId);
        // 金額の設定
        //reqDto.setAmount(itemAmount);
        // 商品IDの設定
        reqDto.setItemId(request.getParameter("itemId"));
        // 合計金額の設定
        reqDto.setItemAmount(itemAmount);
        // 表示用商品説明1の設定
        reqDto.setDescription1(request.getParameter("description1"));
        // 表示用商品数量1の設定
        reqDto.setQuantity1(request.getParameter("quantity1"));
        // 表示用商品金額1の設定
        reqDto.setValue1(request.getParameter("value1"));
        // 表示用商品イメージURL1の設定
        reqDto.setImageUrl1(request.getParameter("imageUrl1"));
        // 表示用商品説明2の設定
        reqDto.setDescription2(request.getParameter("description2"));
        // 表示用商品数量2の設定
        reqDto.setQuantity2(request.getParameter("quantity2"));
        // 表示用商品金額2の設定
        reqDto.setValue2(request.getParameter("value2"));
        // 表示用商品イメージURL2の設定
        reqDto.setImageUrl2(request.getParameter("imageUrl2"));
        // 表示用商品説明3の設定
        reqDto.setDescription3(request.getParameter("description3"));
        // 表示用商品数量3の設定
        reqDto.setQuantity3(request.getParameter("quantity3"));
        // 表示用商品金額3の設定
        reqDto.setValue3(request.getParameter("value3"));
        // 表示用商品イメージURL3の設定
        reqDto.setImageUrl3(request.getParameter("imageUrl3"));
        // 表示用商品説明4の設定
        reqDto.setDescription4(request.getParameter("description4"));
        // 表示用商品数量4の設定
        reqDto.setQuantity4(request.getParameter("quantity4"));
        // 表示用商品金額4の設定
        reqDto.setValue4(request.getParameter("value4"));
        // 表示用商品イメージURL4の設定
        reqDto.setImageUrl4(request.getParameter("imageUrl4"));
        // 表示用商品説明5の設定
        reqDto.setDescription5(request.getParameter("description5"));
        // 表示用商品数量5の設定
        reqDto.setQuantity5(request.getParameter("quantity5"));
        // 表示用商品金額5の設定
        reqDto.setValue5(request.getParameter("value5"));
        // 表示用商品イメージURL5の設定
        reqDto.setImageUrl5(request.getParameter("imageUrl5"));
        // 表示用商品説明6の設定
        reqDto.setDescription6(request.getParameter("description6"));
        // 表示用商品数量6の設定
        reqDto.setQuantity6(request.getParameter("quantity6"));
        // 表示用商品金額6の設定
        reqDto.setValue6(request.getParameter("value6"));
        // 表示用商品イメージURL6の設定
        reqDto.setImageUrl6(request.getParameter("imageUrl6"));
        // 表示用商品説明7の設定
        reqDto.setDescription7(request.getParameter("description7"));
        // 表示用商品数量7の設定
        reqDto.setQuantity7(request.getParameter("quantity7"));
        // 表示用商品金額7の設定
        reqDto.setValue7(request.getParameter("value7"));
        // 表示用商品イメージURL7の設定
        reqDto.setImageUrl7(request.getParameter("imageUrl7"));
        // 表示用商品説明8の設定
        reqDto.setDescription8(request.getParameter("description8"));
        // 表示用商品数量8の設定
        reqDto.setQuantity8(request.getParameter("quantity8"));
        // 表示用商品金額8の設定
        reqDto.setValue8(request.getParameter("value8"));
        // 表示用商品イメージURL8の設定
        reqDto.setImageUrl8(request.getParameter("imageUrl8"));
        // 表示用商品説明9の設定
        reqDto.setDescription9(request.getParameter("description9"));
        // 表示用商品数量9の設定
        reqDto.setQuantity9(request.getParameter("quantity9"));
        // 表示用商品金額9の設定
        reqDto.setValue9(request.getParameter("value9"));
        // 表示用商品イメージURL9の設定
        reqDto.setImageUrl9(request.getParameter("imageUrl9"));
        // 表示用商品説明10の設定
        reqDto.setDescription10(request.getParameter("description10"));
        // 表示用商品数量10の設定
        reqDto.setQuantity10(request.getParameter("quantity10"));
        // 表示用商品金額10の設定
        reqDto.setValue10(request.getParameter("value10"));
        // 表示用商品イメージURL10の設定
        reqDto.setImageUrl10(request.getParameter("imageUrl10"));

        // 配送抑止フラグの設定
        if ("1".equals(request.getParameter("suppressShippingAddress"))) {
            reqDto.setSuppressShippingAddress("true");
        }
        // 配送先許可エリアの設定
        reqDto.setShippingLocationProfile(request.getParameter("shippingLocationProfile"));

        // 決済完了URLの設定
        reqDto.setSuccessUrl(request.getParameter("successUrl"));
        // 決済完了URLの設定
        reqDto.setCancelUrl(request.getParameter("cancelUrl"));
        // 決済エラー時URLの設定
        reqDto.setErrorUrl(request.getParameter("errorUrl"));

        try {
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // コマンドを実行し、応答DTOを取得します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            ITransaction tran = TransactionFactory.getInstance(reqDto);
            MasterpassLoginResponseDto resDto = (MasterpassLoginResponseDto)tran.execute();

            String responseContents = resDto.getResponseContents();
            if (!Utils.isNull(responseContents)) {
                // レスポンスコンテンツがある場合はそのまま表示します。
                response.setContentType("text/html; charset=UTF-8");
                PrintWriter writer = response.getWriter();
                writer.println(responseContents);
            } else {
                // 結果画面を表示します
                request.setAttribute("orderId", resDto.getOrderId());
                request.setAttribute("mStatus", resDto.getMstatus());
                request.setAttribute("mErrMsg", resDto.getMerrMsg());
                request.setAttribute("vResultCode", resDto.getVResultCode());

                forward(request, response, "./LoginExec.jsp");
            }

        } catch (Exception ex) {
            // トランザクションオブジェクトの生成失敗など、Exceptionが発生した場合はエラー画面を表示します。
            System.out.println("Exception Occured !");
            System.out.println("Exception Message: " + ex.getMessage());
            ex.printStackTrace();
            request.setAttribute("mErrMsg", "Exception Occured : " + ex.getMessage());
            forward(request, response, "./LoginExec.jsp");
        }
    }

}
