package jp.veritrans.tercerog.sample.web.oricosc.base;

import java.io.IOException;
import java.io.UnsupportedEncodingException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import jp.veritrans.tercerog.sample.util.Utils;
import jp.veritrans.tercerog.sample.web.MdkSampleBaseServlet;


/**
 * ショッピングクレジット決済の決済結果取得画面表示クラス
 * @author kshimono
 *
 */
public abstract class AbstractAuthorizeComplete extends MdkSampleBaseServlet {
    private static final long serialVersionUID = 1L;


    abstract protected String getJspResult();
    abstract protected void setCharacterEncoding(HttpServletRequest request) throws UnsupportedEncodingException;

    /**
     * @see MdkSampleBaseServlet#doProcess
     */
    protected void doProcess(HttpServletRequest request,
            HttpServletResponse response) throws ServletException, IOException {
        // 文字コードの指定
        setCharacterEncoding(request);

        request.setAttribute("processName", "決済結果取得");
        request.setAttribute("orderId", request.getParameter("orderId"));
        request.setAttribute("mStatus", request.getParameter("mstatus"));

        // Tomcat8で「Default URL encoding」の仕様に変更があり、デフォルト属性がUTF-8に変更
        // デコード処理は行わない
        request.setAttribute("mErrMsg", request.getParameter("merrMsg"));

        request.setAttribute("vResultCode", request.getParameter("vResultCode"));
        request.setAttribute("receiptNo", request.getParameter("receiptNo"));
        forward(request, response, getJspResult());
    }

}
