package jp.veritrans.tercerog.sample.web.upop;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import jp.veritrans.tercerog.mdk.MerchantConfig;
import jp.veritrans.tercerog.mdk.gw.utils.EncryptionUtils;
import jp.veritrans.tercerog.mdk.gw.utils.HashUtils;
import jp.veritrans.tercerog.sample.web.MdkSampleBaseServlet;

public class AuthorizeResult extends MdkSampleBaseServlet {
	private static final long serialVersionUID = 1L;

	/**
	 * @see MdkSampleBaseServlet#doProcess
	 */

	protected void doProcess(HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {
		try {
			String authInfo = request.getParameter("authInfo");
			String[] keys = authInfo.split("-");

			String auth = "1";
			if (keys.length != 3) {
				auth = "0";
			} else {
				EncryptionUtils encryptionUtils = new EncryptionUtils();
				String merchantCcid = new String(
						encryptionUtils.base64Dec(keys[0]));
				String now = new String(encryptionUtils.base64Dec(keys[1]));
				String received_hash = new String(
						encryptionUtils.base64Dec(keys[2]));

				MerchantConfig merchantConfig = new MerchantConfig();
				String merchantSecret = merchantConfig
						.getProperty(MerchantConfig.MERCHANT_SECRET_KEY);
				String hashData = null;
				hashData = HashUtils.getInstance().getDigest(
						new String[] { merchantCcid, now, merchantSecret });

				if (!hashData.equals(received_hash)) {
					auth = "0";
				}
			}
			request.setAttribute("auth", auth);

		} catch (Exception e) {
			System.out.println(e.getMessage());
		}

		forward(request, response, "./AuthorizeResult.jsp");
	}
}
