<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*" import="jp.veritrans.tercerog.mdk.dto.*" import="java.util.*" %>

<%
  // linepay.propertiesファイルから必要なプロパティを取得
  // ここでは、URLを設定ファイルから取得している。
  Locale objLcl = request.getLocale();
  ResourceBundle rb = ResourceBundle.getBundle("linepay",objLcl);
  String successUrl = request.getParameter("successUrl");
  if (successUrl == null) {
      successUrl = rb.getString("successUrl");
  }
  String cancelUrl = request.getParameter("cancelUrl");
  if (cancelUrl == null) {
      cancelUrl = rb.getString("cancelUrl");
  }
  String errorUrl = request.getParameter("errorUrl");
  if (errorUrl == null) {
      errorUrl = rb.getString("errorUrl");
  }
  String pushUrl = request.getParameter("pushUrl");
  if (pushUrl == null) {
      pushUrl = rb.getString("pushUrl");
  }

  // 取引IDの作成
  String order_id = "dummy" + System.currentTimeMillis();

  //** 以下はrequestパラメータで指定された値によって表示する値を判別している **/

  // 与信方法の選択状態を判定
  String sctWithCapture_0 = "";
  String sctWithCapture_1 = "";
  if (MdkServiceConstants.LINEPAY_AUTH_ONLY.equals(request.getParameter("withCapture"))) { sctWithCapture_0 = " selected"; }
  if (MdkServiceConstants.LINEPAY_AUTH_WITH_CAPTURE.equals(request.getParameter("withCapture"))) { sctWithCapture_1 = " selected"; }

  // 商品番号
  String itemId = Utils.out(request.getParameter("itemId"));
  if (itemId == null) {
      itemId = "";
  }

  // 決済中にエラーが発生して戻された時のエラー内容
  String warning = Utils.out((String) request.getAttribute("warning"));
  if (Utils.isNull(warning) == false) {
    warning += "<br/><br/>";
  }

  // 商品名
  // Tomcat8で「Default URL encoding」の仕様に変更があり、デフォルト属性がUTF-8に変更
  // デコード処理は行わない
  String itemName = Utils.out(request.getParameter("itemName"));
  if (itemName == null) {
      itemName = "";
  }

  // 商品画像URL
  String itemImageUrl = request.getParameter("itemImageUrl");
  if (itemImageUrl == null) {
      itemImageUrl = "";
  }

  // 使用ブラウザ判定の選択状態を判定
  String sctCheckUseBrowser_0 = "";
  String sctCheckUseBrowser_1 = "";
  if (MdkServiceConstants.LINEPAY_NOT_CHECK_USE_BROWSER.equals(request.getParameter("checkUseBrowser"))) { sctCheckUseBrowser_0 = " selected"; }
  if (MdkServiceConstants.LINEPAY_CHECK_USE_BROWSER.equals(request.getParameter("checkUseBrowser"))) { sctCheckUseBrowser_1 = " selected"; }

  // アプリ起動URLスキーム
  String appUrlScheme = request.getParameter("appUrlScheme");
  if (appUrlScheme == null) {
      appUrlScheme = "";
  }

  // 独自アプリ設定の選択状態を判定
  String sctUseOriginalApp_0 = "";
  String sctUseOriginalApp_1 = "";
  if (MdkServiceConstants.LINEPAY_NOT_USE_ORIGINAL_APP.equals(request.getParameter("useOriginalApp"))) { sctUseOriginalApp_0 = " selected"; }
  if (MdkServiceConstants.LINEPAY_USE_ORIGINAL_APP_ENCODING.equals(request.getParameter("useOriginalApp"))) { sctUseOriginalApp_1 = " selected"; }

  // パッケージ名
  String packageName = request.getParameter("packageName");
  if (packageName == null) {
      packageName = "";
  }
  
  // 決済確認方法
  String sctPaymentConfirmType_0 = "";
  String sctPaymentConfirmType_1 = "";
  if (MdkServiceConstants.LINEPAY_TRIPARTITE_COMMUNICATION.equals(request.getParameter("paymentConfirmType"))) { sctPaymentConfirmType_0 = " selected"; }
  if (MdkServiceConstants.LINEPAY_TWO_PARTIES_COMMUNICATION.equals(request.getParameter("paymentConfirmType"))) { sctPaymentConfirmType_1 = " selected"; }
  
  // ワンタイムキー
  String oneTimeKey = request.getParameter("oneTimeKey");
  if (oneTimeKey == null) {
     oneTimeKey = "";
  }

%>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>VeriTrans 4G - LINE Pay与信サンプル画面</title>
<link href="../css/style.css" rel="stylesheet" type="text/css">
<script language="JavaScript" type="text/javascript">

function reDrawing(frm, action) {
    frm.action = action;
    frm.method = "POST";
    frm.submit();
}

function changePaymentConfirmType() {
    var obj = document.FORM_LINEPAY.elements;
    var index = obj.paymentConfirmType.selectedIndex;
    if (index == 2) {
        obj.successUrl.value = "";
        obj.cancelUrl.value = "";
        obj.errorUrl.value = "";
    } else {
        if (obj.successUrl.value == "") {
            obj.successUrl.value = obj.hidSuccessUrl.value;
        }
        if (obj.cancelUrl.value == "") {
            obj.cancelUrl.value = obj.hidCancelUrl.value;
        }
        if (obj.errorUrl.value == "") {
            obj.errorUrl.value = obj.hidErrorUrl.value;
        }
        
    }
}

// onLoadイベント
window.onload = function() {
   changePaymentConfirmType();
}
//-->

</script>
</head>
<body onload="setDisabled();">

<img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'><hr/>
<div class="system-message">
<font size="2">
本画面はVeriTrans4G LINE Payの取引サンプル画面です。<br/>
お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br/>
</font>
</div>

<%=warning%>

<table>
<tr>
  <td>
    <div class="lhtitle">LINE Pay：決済請求</div>
  </td>
  <td>
    <img src='../WEB-IMG/linepay.png' border='0'/></a>
  </td>
</tr>
</table>

<form name="FORM_LINEPAY" method="post" action="./AuthorizeExec">

<table border="0" cellpadding="0" cellspacing="0">
<tr>
  <td class="ititletop">取引ID</td>
  <td class="ivaluetop"><span><%=Utils.out(order_id)%></span>&nbsp;&nbsp;<input type="hidden" name="orderId" value="<%=Utils.outForAttribute(order_id)%>"><input type="button" value="取引ID更新" onclick="reDrawing(FORM_LINEPAY, './Authorize');"></td>
</tr>

<tr>
  <td class="ititle">金額</td>
  <td class="ivalue"><input type="text" maxlength="8" size="9" name="amount" value="<%=Utils.outForAttribute(request.getParameter("amount"))%><%=Utils.out(request.getParameter("price"))%>"></td>
</tr>

<tr>
  <td class="ititle">与信方法</td>
  <td class="ivalue">
    <select name="withCapture">
      <option value=""></option>
      <option value="<%=MdkServiceConstants.LINEPAY_AUTH_ONLY %>"<%= Utils.out(sctWithCapture_0) %>>与信のみ(与信成功後に売上処理を行う必要があります)</option>
      <option value="<%=MdkServiceConstants.LINEPAY_AUTH_WITH_CAPTURE %>"<%= Utils.out(sctWithCapture_1) %>>与信売上(与信と同時に売上処理も行います)</option>
    </select>
  </td>
</tr>

<tr>
  <td class="ititle">商品番号</td>
  <td class="ivalue"><input type="text" maxlength="64" size="20" name="itemId" value="<%= Utils.outForAttribute(itemId) %>">
  </td>
</tr>

<tr>
  <td class="ititle">商品名</td>
  <td class="ivalue"><input type="text" maxlength="4000" size="70" name="itemName" value="<%=  Utils.outForAttribute(itemName)%>">
  </td>
</tr>

<tr>
  <td class="ititle">商品画像URL</td>
  <td class="ivalue"><input type="text" maxlength="500" size="70" name="itemImageUrl" value="<%=  Utils.outForAttribute(itemImageUrl)%>">
  </td>
</tr>

<tr>
  <td class="ititle">使用ブラウザ判定</td>
  <td class="ivalue">
    <select name="checkUseBrowser">
      <option value=""></option>
      <option value="<%=MdkServiceConstants.LINEPAY_NOT_CHECK_USE_BROWSER %>"<%= Utils.out(sctCheckUseBrowser_0) %>>LINE Pay側でブラウザ判定しない</option>
      <option value="<%=MdkServiceConstants.LINEPAY_CHECK_USE_BROWSER %>"<%= Utils.out(sctCheckUseBrowser_1) %>>LINE Pay側でブラウザ判定する</option>
    </select>
  </td>
</tr>

<tr>
  <td class="ititle">アプリ起動URLスキーム</td>
  <td class="ivalue"><input type="text" maxlength="256" size="70" name="appUrlScheme" value="<%=  Utils.outForAttribute(appUrlScheme)%>">
  </td>
</tr>

<tr>
  <td class="ititle">独自アプリ起動時のオプション指定</td>
  <td class="ivalue">
    <select name="useOriginalApp">
      <option value=""></option>
      <option value="<%=MdkServiceConstants.LINEPAY_NOT_USE_ORIGINAL_APP %>"<%= Utils.out(sctUseOriginalApp_0) %>>オプションを使用しない</option>
      <option value="<%=MdkServiceConstants.LINEPAY_USE_ORIGINAL_APP_ENCODING %>"<%= Utils.out(sctUseOriginalApp_1) %>>URLエンコーディングを使用する</option>
    </select>
  </td>
</tr>

<tr>
  <td class="ititle">packageName</td>
  <td class="ivalue"><input type="text" maxlength="4000" size="70" name="packageName" value="<%=  Utils.outForAttribute(packageName)%>">
  </td>
</tr>

<tr>
  <td class="ititle">決済完了時URL</td>
  <td class="ivalue"><input type="text" maxlength="256" size="70" name="successUrl" value="<%= Utils.outForAttribute(successUrl) %>"></td>
</tr>
<tr>
  <td class="ititle">決済キャンセル時URL</td>
  <td class="ivalue"><input type="text" maxlength="256" size="70" name="cancelUrl" value="<%= Utils.outForAttribute(cancelUrl) %>"></td>
</tr>
<tr>
  <td class="ititle">決済エラー時URL</td>
  <td class="ivalue"><input type="text" maxlength="256" size="70" name="errorUrl" value="<%= Utils.outForAttribute(errorUrl) %>"></td>
</tr>

<tr>
  <td class="ititle">決済確認方法</td>
  <td class="ivalue">
    <select name="paymentConfirmType" onChange="changePaymentConfirmType()">
      <option value=""></option>
      <option value="<%=MdkServiceConstants.LINEPAY_TRIPARTITE_COMMUNICATION %>"<%= Utils.out(sctPaymentConfirmType_0) %>>ブラウザを介する通信</option>
      <option value="<%=MdkServiceConstants.LINEPAY_TWO_PARTIES_COMMUNICATION %>"<%= Utils.out(sctPaymentConfirmType_1) %>>サーバ間通信</option>
    </select>
  </td>
</tr>

<tr>
  <td class="ititle">ワンタイムキー</td>
  <td class="ivalue"><input type="text" maxlength="19" size="20" name="oneTimeKey" value="<%=  Utils.outForAttribute(oneTimeKey)%>">
  </td>
</tr>

<tr>
  <td class="ititle">プッシュURL</td>
  <td class="ivalue">
<%
 String dummyMode = Utils.getDummyMode(application.getRealPath("/WEB-INF/classes/3GPSMDK.properties"));
 if (dummyMode.equals("ダミーリクエスト")) {
%>
      <input type="text" maxlength="256" size="70" name="pushUrl" value="<%= Utils.outForAttribute(pushUrl) %>"><br/>
<%
 } else {
%>
      <input type="text" maxlength="256" size="70" name="pushUrl" value="" disabled><br/>
<%
 }
%>
      <font size="2" color="red">※ダミー決済の場合のみ指定可能</font>
  </td>
</tr>
</table>

<input type="hidden" name="dummyMode" value="<%=dummyMode%>" >
<input type="hidden" name="hidSuccessUrl" value="<%=successUrl%>" >
<input type="hidden" name="hidCancelUrl" value="<%=cancelUrl%>" >
<input type="hidden" name="hidErrorUrl" value="<%=errorUrl%>" >

<br>
<div>
  <input type="submit" value="購入">&nbsp;&nbsp;<font size="2" color="red">※２回以上クリックしないでください。</font>
</div>

</form>

<a href="../PaymentMethodSelect.jsp">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;

<hr>
<img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved

</body>
</html>
