<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*" import="java.util.*" %>

<%
    // 取引ID
    String order_id = "dummy" + System.currentTimeMillis();

    // 与信方法の選択状態を判定
    String sctWithCapture_0 = "";
    String sctWithCapture_1 = "";
    if ("0".equals(request.getParameter("withCapture"))) { sctWithCapture_0 = " selected"; }
    if ("1".equals(request.getParameter("withCapture"))) { sctWithCapture_1 = " selected"; }

    // 支払方法の選択状態を判定
    String jpo1_10 = "";
    String jpo1_61 = "";
    String jpo1_80 = "";
    if ("10".equals(request.getParameter("jpo1"))) { jpo1_10 = " selected"; }
    if ("61".equals(request.getParameter("jpo1"))) { jpo1_61 = " selected"; }
    if ("80".equals(request.getParameter("jpo1"))) { jpo1_80 = " selected"; }

    // token.propertiesファイルから必要なプロパティを取得
    Locale objLcl = request.getLocale();
    ResourceBundle rb = ResourceBundle.getBundle("token", objLcl);
    String token_api_key = rb.getString("tokenApiKey");
    String token_api_url = rb.getString("tokenApiUrl");
    if (Utils.isNull(token_api_url) == true) {
        token_api_url = Utils.getHost(application.getRealPath("/WEB-INF/classes/3GPSMDK.properties")) + "/4gtoken";
    }

    // 決済中にエラーが発生して戻された時のエラー内容
    String warning = Utils.out((String) request.getAttribute("warning"));
    if (Utils.isNull(warning) == false) {
        warning += "<br/><br/>";
    }
%>

<!DOCTYPE html>
<html lang="ja">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>VeriTrans 4G - 決済＋会員入会サンプル画面</title>
    <link href="../css/style.css" rel="stylesheet" type="text/css">
    <script language="JavaScript" type="text/javascript">
        function initializeVal() {
            document.getElementById('card_number').value = "";
            document.getElementById('cc-exp').value = "";
            document.getElementById('cc-csc').value = "";
        }

        function jpoChk(jpoObj) {
            var val = jpoObj.value;
            if (val.length == 1) {
                if (isNaN(val) == false) {
                    jpoObj.value = "0" + jpoObj.value;
                }
            }
        }

        function reDrawing(frm, action) {
            initializeVal();
            frm.action = action;
            frm.method = "POST";
            frm.submit();
        }

        function submitToken(e) {
            var data = {};
            data.token_api_key = document.getElementById('token_api_key').innerText;
            if (document.getElementById('card_number')) {
                data.card_number = document.getElementById('card_number').value;
            }
            if (document.getElementById('cc-exp')) {
                data.card_expire = document.getElementById('cc-exp').value;
            }
            if (document.getElementById('cc-csc')) {
                data.security_code = document.getElementById('cc-csc').value;
            }
            data.lang = "ja";
            var url = document.getElementById('token_api_url').innerText;

            var xhr = new XMLHttpRequest();
            xhr.open('POST', url, true);
            xhr.setRequestHeader('Accept', 'application/json');
            xhr.setRequestHeader('Content-Type', 'application/json; charset=utf-8');
            xhr.addEventListener('loadend', function () {
                if (xhr.status === 0) {
                    alert("トークンサーバーとの接続に失敗しました");
                    return;
                }
                var response = JSON.parse(xhr.response);
                if (xhr.status == 200) {
                    initializeVal();
                    document.getElementById('token').value = response.token;
                    document.forms[0].submit();
                } else {
                    alert(response.message);
                }
            });
            xhr.send(JSON.stringify(data));
        }
    </script>
</head>
<body>

<img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'><hr/>
<div class="system-message">
    <span style="font-size: small;">
        本画面はVeriTrans4G 決済＋会員入会のサンプル画面です。<br/>
        お客様ECサイトのVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
        また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br/>
    </span>
</div>

<%= warning %>

<div class="lhtitle">決済＋会員入会</div>
<form name="FORM_PAY_NOW_ID" method="post" action="./EntryAndCardExec">
<table style="border-width: 0; padding: 0; border-collapse: collapse;">
    <tr>
        <td class="thl" colspan="2">決済情報（カード決済）
        </td>
    </tr>
    <tr>
        <td class="ititlecommon">取引ID</td>
        <td class="ivaluecommon"><%= Utils.out(order_id) %>&nbsp;&nbsp;<input type="hidden" name="orderId" value="<%= Utils.out(order_id) %>">
            <input type="button" value="取引ID更新" onclick="reDrawing(FORM_PAY_NOW_ID, './EntryAndCard');"></td>
    </tr>
    <tr>
        <td class="ititlecommon">金額</td>
        <td class="ivaluecommon"><input type="text" maxlength="8" size="9" name="amount" value="<%= Utils.out(request.getParameter("amount")) %><%= Utils.out(request.getParameter("price")) %>"></td>
    </tr>

    <tr>
        <td class="ititlecommon">与信方法</td>
        <td class="ivaluecommon">
            <select name="withCapture">
                <option value="0"<%= Utils.out(sctWithCapture_0) %>>与信のみ(与信成功後に売上処理を行う必要があります)</option>
                <option value="1"<%= Utils.out(sctWithCapture_1) %>>与信売上(与信と同時に売上処理も行います)</option>
            </select>
        </td>
    </tr>

    <tr>
        <td class="ititlecommon">クレジットカード番号</td>
        <td class="ivaluecommon">
            <input id="card_number" type="tel" x-autocompletetype="cc-number" autocompletetype="cc-number"
            autocorrect="off" spellcheck="false" autocapitalize="off" maxlength="19" size="19">
        </td>
    </tr>

    <tr>
        <td class="ititlecommon">有効期限</td>
        <td class="ivaluecommon">
            <input id="cc-exp" type="tel" x-autocompletetype="off" autocompletetype="off" autocorrect="off"
            spellcheck="false" autocapitalize="off" placeholder="MM/YY" maxlength="5"
            size="5">&nbsp;&nbsp;<span style="font-size: small; color: red;">※形式：MM/YY</span>
        </td>
    </tr>

    <tr>
        <td class="ititlecommon">支払方法</td>
        <td class="ivaluecommon">
            <select name="jpo1">
                <option value="10"<%= Utils.out(jpo1_10) %>>一括払い(支払回数の設定は不要)</option>
                <option value="61"<%= Utils.out(jpo1_61) %>>分割払い(支払回数を設定してください)</option>
                <option value="80"<%= Utils.out(jpo1_80) %>>リボ払い(支払回数の設定は不要)</option>
            </select>
        </td>
    </tr>

    <tr>
        <td class="ititlecommon">支払回数</td>
        <td class="ivaluecommon"><input type="text" maxlength="2" size="3" name="jpo2" value="<%= Utils.out(request.getParameter("jpo2")) %>" onBlur="jpoChk(this);">&nbsp;&nbsp;<font size="2" color="red">※一桁の場合は数値の前に&quot;0&quot;をつけてください。&nbsp;&nbsp;例：01</font></td>
    </tr>

    <tr>
        <td class="ititlecommon">セキュリティコード</td>
        <td class="ivaluecommon">
        <input id="cc-csc" type="tel" autocomplete="off" autocorrect="off" spellcheck="false" autocapitalize="off" maxlength="4" size="4">
        &nbsp;&nbsp;<span style="font-size: small; color: red;">※必要な場合は入力してください。</span>
        </td>
    </tr>
    <tr>
        <td class="thlToken" colspan="2">
            MDKトークン設定情報
        </td>
    </tr>
    <tr>
        <td class="ititlecommon">トークンAPIキー</td>
        <td class="ivaluecommon">
            <span id="token_api_key"><%= Utils.out(token_api_key) %></span>
        </td>
    </tr>
    <tr>
        <td class="ititlecommon">トークンAPI URL</td>
        <td class="ivaluecommon">
            <span id="token_api_url"><%= Utils.out(token_api_url) %></span><br>
        </td>
    </tr>
    <tr><td colspan="2">&nbsp;</td></tr>
    <tr>
        <td class="thl" colspan="2">入会情報</td>
    </tr>
    <tr>
        <td class="ititlecommon">会員ID</td>
        <td class="ivaluecommon">
            <input type="text" size="50" name="accountId" maxLength="100" value="<%= Utils.out(request.getParameter("accountId")) %>"  >
        </td>
    </tr>
    <tr><td colspan="2">&nbsp;</td></tr>
    <tr>
        <td class="thl" colspan="2">継続課金情報&nbsp;&nbsp;</td>
    </tr>
    <tr>
        <td class="ititlecommon">課金グループID</td>
        <td class="ivaluecommon">
            <input type="text" size="30" name="groupId" value="<%= Utils.out(request.getParameter("groupId")) %>" maxLength="24">
        </td>
    </tr>
    <tr>
        <td class="ititlecommon">課金開始日</td>
        <td class="ivaluecommon">
            <input type="text" size="8" name="startDate" value="<%= Utils.out(request.getParameter("startDate")) %>" maxLength="8">&nbsp;&nbsp;<font size="2" color="red">※形式:YYYYMMDD</font>
        </td>
    </tr>
    <tr>
        <td class="ititlecommon">課金終了日</td>
        <td class="ivaluecommon">
            <input type="text" size="8" name="endDate" value="<%= Utils.out(request.getParameter("endDate")) %>" maxLength="8" />&nbsp;&nbsp;<font size="2" color="red">※形式:YYYYMMDD</font><br />
        </td>
    </tr>
    <tr>
        <td class="ititlecommon">都度／初回課金金額</td>
        <td class="ivaluecommon">
            <input type="text" size="12" name="onceAmount" value="<%= Utils.out(request.getParameter("onceAmount")) %>" maxLength="12">
        </td>
    </tr>
    <tr>
        <td class="ititlecommon">継続課金金額</td>
        <td class="ivaluecommon">
            <input type="text" size="12" name="recarringAmount" value="<%= Utils.out(request.getParameter("recarringAmount")) %>" maxLength="12">
        </td>
    </tr>
    <tr><td colspan="2">
        <font size="2" color="red">※継続課金情報は決済サービス種別がカード決済の場合のみ設定可能です。<br />
        &nbsp;&nbsp;入会費や月額課金が発生するサービス等に加入する際に設定ください。</font>
        </td>
    </tr>
    <tr><td colspan="2">&nbsp;</td></tr>
    <tr>
        <td colspan="2">
            <input type="submit" onclick="submitToken();return false;" value="実行">
            &nbsp;&nbsp;<span style="font-size: small; color: red;">※2回以上クリックしないでください。</span>
        </td>
    </tr>

</table>
<input type="hidden" id="token" name="token">
</form>

<br/>
<a href="../PayNowIdMenu.jsp">PayNowIDサンプルのトップメニューへ戻る</a>&nbsp;&nbsp;

<hr/>
<img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved

</body>
</html>
