<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*" %>
<%@ page import="jp.veritrans.tercerog.mdk.dto.*" %>

<%
  // 決済中にエラーが発生して戻された時のエラー内容
  String warning = Utils.out((String) request.getAttribute("warning"));
  if (Utils.isNull(warning) == false) {
    warning = "<font color='#ff0000' size='2'><b>" + warning + "</b></font><br/><br/>";
  }
%>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
  <meta http-equiv="Content-Language" content="ja" />
  <title>取引検索結果(銀行振込)</title>
  <link href="../../css/style.css" rel="stylesheet" type="text/css"/>
</head>
<body>
  <img alt="Paymentロゴ" src="../../WEB-IMG/VeriTrans_Payment.png"/><hr/>
  <div class="system-message">
    <font size="2">
    本画面はVeriTrans4G 取引検索のサンプル画面です。<br/>
    お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
    </font>
  </div>

<%= warning %>

  <div class="lhtitle">検索結果（銀行振込）</div>
  <h2>オーダー情報</h2>
  <table border="1" cellpadding="0" cellspacing="0">
    <tr bgcolor="#ffeebb">
      <th class="rititle2" nowrap colspan="2">オーダー情報</th>
    </tr>
<%
  OrderInfo order_info = (OrderInfo) request.getAttribute("order_info");
  if (order_info != null) {
    String target_orderId              = order_info.getOrderId();              // オーダーID
    String target_serviceTypeCd        = order_info.getServiceTypeCd();        // 決済サービスタイプ
    String target_orderStatus          = order_info.getOrderStatus();          // オーダー決済状態
    String target_lastSuccessTxnType   = order_info.getLastSuccessTxnType();   // 最終成功トランザクションタイプ
    String target_successDetailTxnType = order_info.getSuccessDetailTxnType(); // 詳細トランザクションタイプ
%>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>取引ID</td>
      <td class="rivalue2" nowrap><%= Utils.out(target_orderId) %><br/></td>
    </tr>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>決済サービスタイプ</td>
      <td class="rivalue2" nowrap><%= Utils.out(target_serviceTypeCd) %><br/></td>
    </tr>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>オーダー決済状態</td>
      <td class="rivalue2" nowrap><%= Utils.out(target_orderStatus) %><br/></td>
    </tr>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>最終成功トランザクションタイプ</td>
      <td class="rivalue2" nowrap><%= Utils.out(target_lastSuccessTxnType) %><br/></td>
    </tr>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>詳細トランザクションタイプ</td>
      <td class="rivalue2" nowrap><%= Utils.out(target_successDetailTxnType) %><br/></td>
    </tr>
<%
  }
%>
  </table>
<br/>
  <table border="1" cellpadding="0" cellspacing="0">
    <tr bgcolor="#ffeebb">
      <th class="rititle2" nowrap colspan="8">固有オーダー情報</th>
    </tr>
<%
  if (order_info != null) {
    ProperOrderInfo properOrderInfo     = order_info.getProperOrderInfo();
    String target_vaccDepositStatusType = properOrderInfo.getVaccDepositStatusType(); // 入金状態
    String target_transferExpiredDate   = properOrderInfo.getTransferExpiredDate();   // 振込期限
    String target_reconcileDate         = properOrderInfo.getReconcileDate();         // 消込日
    String target_totalDepositAmount    = properOrderInfo.getTotalDepositAmount();    // 入金総額
    String target_entryTransferName     = properOrderInfo.getEntryTransferName();     // 登録時振込人名
    String target_entryTransferNumber   = properOrderInfo.getEntryTransferNumber();   // 登録時振込番号
    String target_accountNumber         = properOrderInfo.getAccountNumber();         // 口座番号
    String target_accountManageType     = properOrderInfo.getAccountManageType();     // 口座管理方式
%>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>入金状態</td>
      <td class="rivalue2" nowrap width="100"><%= Utils.out(target_vaccDepositStatusType) %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>振込期限</td>
      <td class="rivalue2" nowrap width="200"><%= Utils.out(target_transferExpiredDate) %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>消込日</td>
      <td class="rivalue2" nowrap width="200"><%= Utils.out(target_reconcileDate) %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>入金総額</td>
      <td class="rivalue2" nowrap><%= Utils.out(target_totalDepositAmount) %><br/></td>
    </tr>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>登録時振込人名</td>
      <td class="rivalue2" nowrap width="300"><%= Utils.out(target_entryTransferName) %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>登録時振込番号</td>
      <td class="rivalue2" nowrap><%= Utils.out(target_entryTransferNumber) %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>口座番号</td>
      <td class="rivalue2" nowrap><%= Utils.out(target_accountNumber) %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>口座管理方式</td>
      <td class="rivalue2" nowrap><%= Utils.out(target_accountManageType) %><br/></td>
    </tr>
<%
  }
%>
  </table>
<br/>
  <h2>トランザクション情報</h2>
  <table border="1" cellpadding="0" cellspacing="0">
    <tr bgcolor="#ffeebb">
      <th class="rititle2" nowrap colspan="6">決済トランザクション情報</th>
      <th class="rititle2" nowrap colspan="6">固有トランザクション情報</th>
    </tr>
    <tr bgcolor="#ffeebb">
      <!-- 決済トランザクション情報 -->
      <th class="rititle2" nowrap width="65">管理ID</th>
      <th class="rititle2" nowrap width="120">コマンド</th>
      <th class="rititle2" nowrap width="130">ステータスコード</th>
      <th class="rititle2" nowrap width="145">結果コード</th>
      <th class="rititle2" nowrap width="180">取引日時</th>
      <th class="rititle2" nowrap width="100">金額</th>

      <!-- 固有トランザクション情報 -->
      <th class="rititle2" nowrap width="120">消込フラグ</th>
      <th class="rititle2" nowrap width="120">入金ID</th>
      <th class="rititle2" nowrap width="120">登録方法</th>
      <th class="rititle2" nowrap width="120">入金日</th>
      <th class="rititle2" nowrap width="200">振込人名</th>
    </tr>
<%
  if (order_info != null) {
    TransactionInfos transactionInfos = order_info.getTransactionInfos();
    TransactionInfo[] transactionInfo = transactionInfos.getTransactionInfo();

    String transaction_txnId       = "";
    String transaction_command     = "";
    String transaction_mstatus     = "";
    String transaction_vResultCode = "";
    String transaction_txnDatetime = "";
    String transaction_amount      = "";

    String with_reconcile      = "";
    String deposit_id          = "";
    String registration_method = "";
    String deposit_date        = "";
    String transfer_name       = "";

    if (transactionInfo != null && 0 < transactionInfo.length) {
      for (int i = 0; i < transactionInfo.length; i++) {
        transaction_txnId       = transactionInfo[i].getTxnId();       // トランザクション管理ID
        transaction_command     = transactionInfo[i].getCommand();     // コマンド
        transaction_mstatus     = transactionInfo[i].getMstatus();     // ステータスコード
        transaction_vResultCode = transactionInfo[i].getVResultCode(); // 結果コード
        transaction_txnDatetime = transactionInfo[i].getTxnDatetime(); // 取引日時
        transaction_amount      = transactionInfo[i].getAmount();      // 金額

        ProperTransactionInfo properTransactionInfo = transactionInfo[i].getProperTransactionInfo();
        if (properTransactionInfo != null) {
          with_reconcile      = properTransactionInfo.getWithReconcile();      // 消込フラグ
          deposit_id          = properTransactionInfo.getDepositId();          // 入金ID
          registration_method = properTransactionInfo.getRegistrationMethod(); // 登録方法
          deposit_date        = properTransactionInfo.getDepositDate();        // 入金日
          transfer_name       = properTransactionInfo.getTransferName();       // 振込人名
        }
%>
    <tr>
      <!-- 決済トランザクション情報 -->
      <td class="rivalue2" nowrap><%= Utils.out(transaction_txnId) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(transaction_command) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(transaction_mstatus) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(transaction_vResultCode) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(transaction_txnDatetime) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(transaction_amount) %><br/></td>
      <!-- 固有トランザクション情報 -->
      <td class="rivalue2" nowrap><%= Utils.out(with_reconcile) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(deposit_id) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(registration_method) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(deposit_date) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(transfer_name) %><br/></td>
    </tr>
<%
      }
    }
  }
%>
  </table>

  <br/>
  <a href="../Search">検索条件へ戻る</a>&nbsp;&nbsp;

  <hr>
  <img alt="VeriTransロゴ" src='../../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved
</body>
</html>

